# class KStatusBarLabel | Internal label class for use in KStatusBar More...
Internal Use Only
Definition | `#include <kstatusbar.h>`
Inherits | QLabel (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KStatusBarLabel ( const QString& text, int _id, KStatusBar* parent = 0L, const char *name=0L )
- ~KStatusBarLabel ()

#### Signals

- void itemPressed (int id)
- void itemReleased (int id)

#### Protected Methods

- void mousePressEvent (QMouseEvent* _event)
- void mouseReleaseEvent (QMouseEvent* _event)

## Detailed Description

Internal label class for use in KStatusBar

KStatusBarLabel ( const QString& text, int _id, KStatusBar* parent = 0L, const char *name=0L ) | ### KStatusBarLabel

~KStatusBarLabel () | ### ~KStatusBarLabel

void mousePressEvent (QMouseEvent* _event) | ### mousePressEvent

[protected]

void mouseReleaseEvent (QMouseEvent* _event) | ### mouseReleaseEvent

[protected]

void itemPressed (int id) | ### itemPressed

[signal]

void itemReleased (int id) | ### itemReleased

[signal]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.